package cz.muni.fi.pb162.ballpens;


/**
 * Trida Ballpen predstavuje propisku.
 * 
 * Ukol: doplnit atribut 'cartridge' a metody
 * 'setCartridge()' a 'getCartridge()'
 * 
 * @author Radek Oslejsek &lt;oslejsek@fi.muni.cz&gt;
 */
public class Ballpen
{
    private String logo; // logo na propisce

    /**
     * Constructor for objects of class Ballpen
     */
    public Ballpen()
    {
        // inicializace atributu
        logo = "";
    }
    
    /**
     * Nastavi potisk propisky
     *
     * @param logo nove logo na propisce
     */
    public void setLogo(String logo)
    {
        this.logo = logo;
    }
        
    /**
     * Vrati info o propisce
     */
    public String toString()
    {
        return "Logo: " + logo + ((cartridge == null) ? ", bez naplne" : ", napln: " + cartridge.getColor());
    }
}
